import '@material/web/icon/icon.js';
import '@operato/data-grist/ox-grist.js';
import '@operato/data-grist/ox-filters-form.js';
import '@operato/context/ox-context-page-toolbar.js';
import { PageView } from '@operato/shell';
import { FetchOption } from '@operato/data-grist';
declare const EnvVarListPage_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & (new (...args: any[]) => {
    __preferenceProviders: {
        [element: string]: import("@operato/p13n").PagePreferenceProvider;
    };
    getPagePreferenceProvider(element: string): import("@operato/p13n").PagePreferenceProvider | undefined;
}) & (new (...args: any[]) => import("lit").LitElement) & typeof PageView;
export declare class EnvVarListPage extends EnvVarListPage_base {
    static styles: import("lit").CSSResult[];
    active: boolean;
    config: any;
    mode: 'CARD' | 'LIST' | 'GRID';
    private grist;
    get context(): {
        title: string;
        search: {
            handler: (search: string) => void;
            value: string;
        };
        filter: {
            handler: () => void;
        };
        actions: {
            title: string;
            action: () => Promise<void>;
            icon: string;
        }[];
        toolbar: boolean;
    };
    render(): import("lit-html").TemplateResult<1>;
    pageInitialized(): Promise<void>;
    pageUpdated(changes: any, lifecycle: any): Promise<void>;
    fetchHandler({ page, limit, sortings, filters }: FetchOption): Promise<{
        total: any;
        records: any;
    }>;
    onUpdateEnvVars(): Promise<void>;
    onDeleteEnvVars(): Promise<void>;
    showToast(message: any): void;
}
export {};
